summaryrefslogtreecommitdiffstats
path: root/scripts/depmod.sh
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@linux-foundation.org>2026-09-20 08:15:23 -0700
committerLinus Torvalds <torvalds@linux-foundation.org>2026-09-20 08:15:23 -0700
commitbdab18633a302c82b5e5d5dbc4e38b0baf9c0837 (patch)
tree0446500af9a76d4e8b2a72a0a41391ceede73a10 /scripts/depmod.sh
downloadlinux-stable-bdab18633a302c82b5e5d5dbc4e38b0baf9c0837.tar.gz
linux-stable-bdab18633a302c82b5e5d5dbc4e38b0baf9c0837.zip
Merge tag 'locking-urgent-2026-09-20' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tipgrafted
Pull futex fix from Ingo Molnar: - Also allocate a default private futex hash on vfork() as well, to avoid races with (private) futex waiters (Peter Zijlstra) * tag 'locking-urgent-2026-09-20' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip: futex: Also allocate private hash on vfork()
Diffstat (limited to 'scripts/depmod.sh')
-rwxr-xr-xscripts/depmod.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/depmod.sh b/scripts/depmod.sh
new file mode 100755
index 000000000..3c34fecac
--- /dev/null
+++ b/scripts/depmod.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# A depmod wrapper
+
+if test $# -ne 1; then
+ echo "Usage: $0 <kernelrelease>" >&2
+ exit 1
+fi
+
+KERNELRELEASE=$1
+
+: ${DEPMOD:=depmod}
+
+if ! test -r "${objtree}/System.map" ; then
+ echo "Warning: modules_install: missing 'System.map' file. Skipping depmod." >&2
+ exit 0
+fi
+
+# legacy behavior: "depmod" in /sbin, no /sbin in PATH
+PATH="$PATH:/sbin"
+if [ -z $(command -v $DEPMOD) ]; then
+ echo "Warning: 'make modules_install' requires $DEPMOD. Please install it." >&2
+ echo "This is probably in the kmod package." >&2
+ exit 0
+fi
+
+set -- -ae -F "${objtree}/System.map"
+if test -n "$INSTALL_MOD_PATH"; then
+ set -- "$@" -b "$INSTALL_MOD_PATH"
+fi
+exec "$DEPMOD" "$@" "$KERNELRELEASE"